%define base_name	kwin-style
%define theme_name	activeheart
%define name		%{base_name}-%{theme_name}
%define version		1.1
%define release		2mdk
%define summary		Activeheart kwinstyle for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			kwin-%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=11460
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		png-devel , jpeg-devel
BuildRequires:		qt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
This is Kwin client for "Active Heart" style.
This windeco was created based on keramik.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n kwin-%{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_libdir}/kde3/kwin_%{theme_name}_config.*
%{_datadir}/apps/kwin/%{theme_name}.desktop

%changelog
* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-2mdk
- Rebuild

* Sun May 02 2004 Laurent Culioli <laurent@mandrake.org> 1.1-1mdk
- 1.1

* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 1.0.2-1mdk
- new kwin theme for kde


